---
title: RTCIceCandidatePairStats.consentExpiredTimestamp
slug: Web/API/RTCIceCandidatePairStats/consentExpiredTimestamp
tags:
  - API
  - Binding
  - Connection
  - Connectivity
  - Consent
  - Property
  - RTCIceCandidatePairStats
  - Reference
  - STUN
  - WebRTC
  - WebRTC API
  - consentTimestampExpired
  - expiration
  - rtc
  - timeStamp
---
<p>{{APIRef("WebRTC")}}</p>

<p><span class="seoSummary">The {{domxref("RTCIceCandidatePairStats")}} property <strong><code>consentExpiredTimestamp</code></strong> indicates the time at which the most recent {{Glossary("STUN")}} binding response expired.</span> This indicates when the current STUN bindings — the mapping of the IP address and port configurations for both peers on the {{Glossary("WebRTC")}} connection — are due to expire. If this time has arrived or passed, the bindings have expired.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>consentExpiration</em> = <em>rtcIceCandidatePairStats</em>.consentExpiredTimestamp;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMHighResTimeStamp")}} object that indicates the time at which the STUN binding that allows the two peers described by this {{domxref("RTCIceCandidatePair")}} to communicate will expire (or the time at which the binding did expire, if the time has passed).</p>

<p>This property's value is <code>undefined</code> if there have been no STUN binding responses yet on the candidate pair. This is only possible if {{domxref("RTCIceCandidatePeerStats.responsesReceived", "responsesReceived")}} is 0.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('WebRTC Statistics Identifiers', '#dom-rtcicecandidatepairstats-consentexpiredtimestamp', 'RTCIceCandidatePairStats.consentExpiredTimestamp') }}</td>
   <td>{{ Spec2('WebRTC Statistics Identifiers') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCIceCandidatePairStats.consentExpiredTimestamp")}}</p>
